Skip to content

WireIntermedFi⁠

Perform various operations on wire intermediary FI records.

Operations⁠

getWireIntermedFiInfoPagedListSelectFields⁠

POST

Retrieve paged intermediary financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiInfoPagedListSelectFields
POST /nexum/627/2022.01/wire/getWireIntermedFiInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireIntermedFiInfoPagedSelectFields⁠

POST

Searches for wire intermediary financial institution information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/searchWireIntermedFiInfoPagedSelectFields
POST /nexum/627/2022.01/wire/searchWireIntermedFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireIntermedFiAdvByID⁠

POST

Updates wire intermediary financial institution advanced information by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireIntermedFiAdvLocatorintegeroptional
WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/updateWireIntermedFiAdvByID
POST /nexum/627/2022.01/wire/updateWireIntermedFiAdvByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireIntermedFiAdvLocator": 0,
  "WireIntermedFiAdvUpdatableFields": {
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "WireSequenceNumber": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireIntermedFiInfoByID⁠

POST

Updates wire intermediary financial institution information by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireIntermedFiInfoLocatorintegeroptional
WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/updateWireIntermedFiInfoByID
POST /nexum/627/2022.01/wire/updateWireIntermedFiInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireIntermedFiInfoLocator": 0,
  "WireIntermedFiInfoUpdatableFields": {
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "WireSequenceNumber": 0,
  "nxAttributes": {
    "customFields": {}
  }
}